<?php

namespace swf2ass;


class ActivePath {
    /** @var PathSegment */
    public PathSegment $segment;
    public int $style;


    /**
     * @param $styleId
     * @param Vector2 $start
     */
    public function __construct($styleId, Vector2 $start) {
        $this->style = $styleId;
        $this->segment = new PathSegment($start);
    }

    public function add_point(VisitedPoint $point) {
        $this->segment->add_point($point);
    }

    public function flip() {
        $this->segment->flip();
    }
}