<?php

namespace swf2ass;

interface Gradient {
    const AUTO_SLICES = -1;

    const SPREAD_PAD = 0;
    const SPREAD_REFLECT = 1;
    const SPREAD_REPEAT = 2;
    const SPREAD_RESERVED = 3;
    //TODO

    const INTERPOLATE_NORMAL_RGB = 0;
    const INTERPOLATE_LINEAR_RGB = 1;
    const INTERPOLATE_RESERVED1 = 2;
    const INTERPOLATE_RESERVED2 = 3;

    public function getSpreadMode() : int;

    public function getInterpolationMode() : int;

    /**
     * @return GradientItem[]
     */
    public function getItems(): array;


    public function getInterpolatedDrawPaths(int $overlap = 0, int $slices = self::AUTO_SLICES): DrawPathList;

    public function getMatrixTransform(): MatrixTransform;

    public function applyColorTransform(ColorTransform $transform): Gradient;
}