<?php

namespace swf2ass\ass;

class insideClipTag extends clippingTag {

    public function encode(ASSEventTime $event): string {
        $scaleMultiplier = 2 ** ($this->scale - 1);
        return $this->isNull ? "" : "\\iclip({$this->scale}," . implode(" ", $this->getCommands($scaleMultiplier, $this->scale >= 5 ? 0 : 2)) . ")";
    }
}