<?php

namespace swf2ass;

class CurrentState {

    public Color $backgroundColor;
    public int $frameRate;
    public int $frameCount;
    public int $frameNumber;
    public ?int $frameOffset = null;
    public Rectangle $viewPort;
    /** @var ObjectDefinition[] */
    public array $objects;

    /** @var DisplayEntry[] */
    public array $displayList;

    /** @var DisplayEntry[] */
    public array $clipList = [];

    public function __construct() {
        $this->backgroundColor = new Color(255, 255, 255);
        $this->frameRate = 60;
        $this->frameCount = 100;
        $this->frameNumber = 0;
        $this->viewPort = new Rectangle(new Vector2(0, 0), new Vector2(480, 360));
        $this->objects = [];
        $this->displayList = [];
        $this->clipList = [];
    }


}