<?php

namespace swf2ass;


class DrawPath {
    public StyleRecord $style;
    public Shape $commands;


    public static function fill(FillStyleRecord $style, Shape $shape): DrawPath {
        $p = new DrawPath();
        $p->style = $style;
        $p->commands = $shape;
        return $p;
    }

    public static function stroke(LineStyleRecord $style, Shape $shape): DrawPath {
        //TODO: stroke to fill conversion
        $p = new DrawPath();
        $p->style = $style;
        $p->commands = $shape;
        return $p;
    }
}