<?php

namespace swf2ass;


class LineStyleRecord implements StyleRecord {
    public int $width;
    public Color $color;

    const LINE_JOIN_MITER = 0;
    const LINE_JOIN_MITER_CLIP = 1;
    const LINE_JOIN_ROUND = 2;
    const LINE_JOIN_BEVEL = 3;

    const LINE_CAP_BUTT = 0;
    const LINE_CAP_SQUARE = 1;
    const LINE_CAP_ROUND = 2;

    public int $start_cap = self::LINE_CAP_BUTT;
    public int $end_cap = self::LINE_CAP_BUTT;
    public int $line_join = self::LINE_JOIN_MITER;

    public function __construct(int $width, Color $color) {
        $this->width = $width;
        $this->color = $color;

    }
}