<?php

namespace swf2ass;

interface Record {
    public function getStart(): Vector2;
    public function getEnd(): Vector2;

    public function reverse(): Record;

    public function equals(Record $other): bool;

    public function applyMatrixTransform(MatrixTransform $transform, bool $applyTranslation = true): Record;
}