<?php

namespace swf2ass\actions;


class WaitForFrameAction implements Action {
    private int $frame;
    private int $skipCount;

    public function __construct(int $frame, int $skipCount){
        $this->frame = $frame;
        $this->skipCount = $skipCount;
    }

    public function getFrame() : int{
        return $this->frame;
    }

    public function getSkipCount() : int{
        return $this->skipCount;
    }

}